Cabal-1.10.1.0: A framework for packaging Haskell software

Portability | portable
Maintainer | cabal-devel@haskell.org

Distribution.Text

Description

This defines a `Text` class which is a bit like the `Read` and `Show` classes. The difference is that is uses a modern pretty printer and parser system and the format is not expected to be Haskell concrete syntax but rather the external human readable representation used by Cabal.

# Documentation

class Text a where

Methods

disp :: a -> Doc

parse :: ReadP r a

Instances

Text Bool |
Text Version |
Text ModuleName |
Text Platform |
Text Arch |
Text OS |
Text Extension |
Text Language |
Text VersionRange |
Text License |
Text Dependency |
Text InstalledPackageId |
Text PackageIdentifier |
Text PackageName |
Text CompilerId |
Text CompilerFlavor |
Text RepoType |
Text RepoKind |
Text TestType |
Text BuildType |
Text TestShowDetails |

display :: Text a => a -> String

simpleParse :: Text a => String -> Maybe a